DEBRUIJN(1)

NAME
debruijn - de Bruijn sequence generator

SYNOPSIS
debruijn [-] -a str -n k

DESCRIPTION
debruijn generates (on standard output) a string over the specified alphabet containing every possible word (substring) of the specified length exactly once. Note: Substrings are not taken to wrap around, so the first k-1 characters repeat at the end.

OPTIONS
A summary of options is included below.

-   Print usage message.

-a str
    Alphabet (supply ncbistdaa or ncbi2na for standard alphabets, or supply your own alphabet).

-n k
    Word size.

AUTHOR
The National Center for Biotechnology Information.